CVE-2006-0074
CVSS7.5
发布时间 :2006-01-03 20:03:00
修订时间 :2011-08-05 00:00:00
NMCO    

[原文]SQL injection vulnerability in profile.php in PHPenpals allows remote attackers to execute arbitrary SQL commands via the personalID parameter. NOTE: it was later reported that 1.1 and earlier are affected.


[CNNVD]Jevontech PHPenpals PersonalID SQL注入漏洞(CNNVD-200601-004)

        PHPenpals的profile.php存在SQL注入漏洞,可让远程攻击者通过personalID参数执行任意SQL命令。注意:后来有报告称1.1及更早版本受到影响。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-89 [SQL命令中使用的特殊元素转义处理不恰当(SQL注入)]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0074
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0074
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200601-004
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/0005
(VENDOR_ADVISORY)  VUPEN  ADV-2006-0005
http://www.securityfocus.com/bid/16109
(UNKNOWN)  BID  16109
http://www.securityfocus.com/archive/1/archive/1/420690/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060101 [eVuln] PHPenpals SQL Injection Vulnerabilit
http://www.osvdb.org/22150
(UNKNOWN)  OSVDB  22150
http://www.milw0rm.com/exploits/8706
(UNKNOWN)  MILW0RM  8706
http://secunia.com/advisories/18269
(VENDOR_ADVISORY)  SECUNIA  18269
http://evuln.com/vulns/5/summary.html
(UNKNOWN)  MISC  http://evuln.com/vulns/5/summary.html

- 漏洞信息

Jevontech PHPenpals PersonalID SQL注入漏洞
高危 SQL注入
2006-01-03 00:00:00 2009-06-02 00:00:00
远程  
        PHPenpals的profile.php存在SQL注入漏洞,可让远程攻击者通过personalID参数执行任意SQL命令。注意:后来有报告称1.1及更早版本受到影响。

- 公告与补丁

        

- 漏洞信息

22150
PHPenpals profile.php personalID Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

PHPenpals contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the profile.php script not properly sanitizing user-supplied input to the 'personalID' variable. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-12-29 Unknow
2005-12-29 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站